#!/bin/bash
if [ $# -eq 0 ]; then
echo " 1: SID "
exit
fi
SID=$1
SID1=" sndr_g10 sndr_g12 hirs2_n14 msu_n14 amsua_n15 "
SID2=" amsub_n15 amsua_n16 amsub_n16 hirs3_n16 amsub_n17 hirs3_n17 amsua_n18"
SID3=" hsb_aqua amsua_aqua  "
SID4=" amsua_metop-a hirs4_metop-a  mhs_metop-a hirs4_n18 mhs_n18"
SID5=" airs281SUBSET_aqua iasi616_metop-a "
SIDs=(dummy $SID1 $SID2 $SID3 $SID4 $SID5)
# 1: Micro  2: IR  3: GOES  4: Hires
#  is mhs micro or IR?
#
types1="3 3 2  1 2 "
types2="1 1 1  2 1 2 1 "
types3="  1 1 "
types4=" 1 2  2 2 2 "  
types5="4 5"
types=(dummy  $types1 $types2 $types3 $types4 $types5 )
#echo " SID=$SID  "

i=1
imatch=0
while [ $i -le 21  ];do
SIDr=${SIDs[$i]}
type=${types[$i]}
#echo " check $SIDr $type "
if [ "$SIDr" = "$SID" ];then
      echo $type
      imatch=1
fi
i=$(($i + 1))
done
if [ $imatch -eq 0 ];then
   echo "Match could not be found for $SID $DUMP "
   exit
fi

