#!/bin/bash
if [ $# -eq 0 ]; then
echo " 1: SID  2:DUMP  x unknown"
exit
fi
SID=$1   # name used for CRTM
DUMP=$2  # Name used for paralell dump
# amsua_n18 available after 200508
DUMP1=" goes10_sndr goes12_sndr noaa14_hirs2 noaa14_msu noaa15_amsua "
DUMP2="noaa15_amsub noaa16_amsua noaa16_amsub noaa16_hirs3 noaa17_amsub noaa17_hirs3 noaa18_amsua"
DUMP3="aqua_airs aqua_hsb aqua_amsua"
DUMP4=" metop-a_amsua  metop-a_hirs4 metop-a_iasi metop-a_mhs noaa18_hirs4 noaa18_mhs"
DUMPs=(dummy $DUMP1 $DUMP2 $DUMP3 $DUMP4)
SID1=" sndr_g10 sndr_g12 hirs2_n14 msu_n14 amsua_n15 "
SID2=" amsub_n15 amsua_n16 amsub_n16 hirs3_n16 amsub_n17 hirs3_n17 amsua_n18"
SID3=" airs281SUBSET_aqua hsb_aqua amsua_aqua  "
SID4=" amsua_metop-a hirs4_metop-a iasi616_metop-a  mhs_metop-a hirs4_n18 mhs_n18" 
SIDs=(dummy $SID1 $SID2 $SID3 $SID4)

i=1
imatch=0
while [ $i -le 21 ];do
SIDr=${SIDs[$i]}
DUMPr=${DUMPs[$i]}
#echo " $i $SIDr $DUMPr "
if [ "$SID" = "x" ];then
   if [ "$DUMPr" = "$DUMP" ];then
      echo $SIDr
      imatch=1
   fi 
elif [ "$DUMP" = "x" ];then
   if [ "$SIDr" = "$SID" ];then
      echo $DUMPr
      imatch=1
   fi 
fi
i=$(($i + 1))
done
if [ $imatch -eq 0 ];then
   echo "Match could not be found for $SID $DUMP "
   exit
fi

