#!/bin/sh
BASEDIR=/jcsda/save/$LOGNAME/work/SimRad/SimRad_CRTM1.2.2
SID1=" sndr_g10 sndr_g12 hirs2_n14 msu_n14 amsua_n15 "
SID2=" amsub_n15 amsua_n16 amsub_n16 hirs3_n16 amsub_n17 hirs3_n17 amsua_n18"
SID3=" airs281SUBSET_aqua hsb_aqua amsua_aqua  "
SID4=" amsua_metop-a hirs4_metop-a iasi616_metop-a  mhs_metop-a hirs4_n18 mhs_n18"
SIDs=" $SID1 $SID2 $SID3 $SID4"
code=Big_Endian
dir=$BASEDIR/CRTM_Rel_1.2.2.etc/CRTM_Coefficients
ls -l $dir
outdir=$BASEDIR/CRTM_Coefficients
mkdir $outdir
ls -l $outdir
read OK
cp $dir/AerosolCoeff/$code/* $outdir
cp $dir/CloudCoeff/$code/* $outdir
cp $dir/EmisCoeff/$code/* $outdir
for SID in $SIDs; do
cp $dir/SpcCoeff/$code/${SID}* $outdir
cp $dir/TauCoeff/$code/${SID}* $outdir
done

