      program ndate
!  This is a simple program and does not deal with year 2000
!
      integer int,jdate,jdate1
      read*,int
      read*,jdate
      print*,int,jdate
      call ndate4(jdate,jdate1,int)
      print*,jdate1
      !  print '(i10)',jdate1
      stop
      end 
      subroutine ndate4(jdate,jdate1,int)
C          idate are 10 digit date
      dimension idate(4),idate1(4)
      call imidt(jdate,idate(1),idate(2),idate(3),idate(4))
      if (int.ge.0) then
        call nextday4(idate,idate1,int)
      else
        call prevday4(idate,idate1,-int)
      endif
      jdate1=idate1(1)*1000000+idate1(2)*10000+
     &  idate1(3)*100+idate1(4)
      return
      end
      subroutine chkdate(idate,idate1,ires)
c
c        ires=1  idate>idate1
c        ires=0  idate=idate1
c        ires=-1  idate < idate1
c
      dimension idate(4),idate1(4)
      if (idate(1).gt.idate1(1)) then
          ires=1
          return
      else if (idate(1).lt.idate1(1)) then
          ires=-1
          return
      endif
      if (idate(2).gt.idate1(2)) then
          ires=1
          return
      else if (idate(2).lt.idate1(2)) then
          ires=-1
          return
      endif
      if (idate(3).gt.idate1(3)) then
          ires=1
          return
      else if (idate(3).lt.idate1(3)) then
          ires=-1
          return
      endif
      if (idate(4).gt.idate1(4)) then
          ires=1
          return
      else if (idate(4).lt.idate1(4)) then
          ires=-1
          return
      endif
         !print*,' idate=idate1 '
         !print '(4i5,4x,4i5)',idate,idate1
         ires=0
      return
      end
c
c
c
      subroutine imidt(itoday,iyyt,immt,iddt,izzt)
c
c       cannot handle if hourly increment go beyond month
c       or monthly increment go beyond year
c
c
      IYYT=ITODAY/1000000
      IMMT=(ITODAY-IYYT*1000000)/10000
      IDDT=(ITODAY-IYYT*1000000-IMMT*10000)/100
      IZZT=ITODAY-IYYT*1000000-IMMT*10000-IDDT*100
c      PRINT*,ITODAY,IYYT,IMMT,IDDT,IZZT
      return
      end 
      SUBROUTINE NEXTDAY4(ITODAY,INEXT,int)
      dimension itoday(4),inext(4)
      DIMENSION MM(12)
      DATA MM/31,28,31,30,31,30,31,31,30,31,30,31/
c    int <n NEXT MONTH
C     otherwise hours
c         next day must be less tha one month
      IYYT=ITODAY(1)
      IMMT=itoday(2)
      IDDT=itoday(3)
      IZZT=itoday(4)
c      PRINT*,ITODAY,IYYT,IMMT,IDDT,IZZT
      IF (MOD(IYYT,4).EQ.0)THEN
         MM(2)=29
      ELSE
         MM(2)=28
      END IF
      if (int.lt.0) then
         intm=-int
         immn=immt+intm
         iyynxt=(immn-1)/12
         immn=immn-iyynxt*12
         iyyn=iyyt+iyynxt
         izzn=izzt
         iddn=iddt
      else 
         iznext=(izzt+int)/24
         izzn=izzt+int-iznext*24
         iddn=iddt+iznext
         if (iddn.gt.mm(immt)) then
            immn=immt+1
            iddn=iddn-mm(immt)
         else
            immn=immt
          end if 
         if (immn.eq.13) then
             immn=1
             iyyn=iyyt+1
         else
             iyyn=iyyt
         end if
      end if
      INEXT(1)=iyyn
      inext(2)=immn
      inext(3)=iddn   
      inext(4)=izzn
      RETURN
      END
      SUBROUTINE PREVDAY4(ITODAY,INEXT,int)
      dimension itoday(4),inext(4)
      DIMENSION MM(0:12)
      DATA MM/31,31,28,31,30,31,30,31,31,30,31,30,31/
c    int <n NEXT MONTH
C     otherwise hours
c         next day must be less tha one month
      IYYT=ITODAY(1)
      IMMT=itoday(2)
      IDDT=itoday(3)
      IZZT=itoday(4)
C     PRINT*,ITODAY,IYYT,IMMT,IDDT,IZZT
      IF (MOD(IYYT,4).EQ.0)THEN
         MM(2)=29
      ELSE
         MM(2)=28
      END IF
      if (int.le.0) then
         intm=int
         immn=immt+intm
         if (immn.le.0) then
           iyynxt=(immn-1)/12-1
          else
         iyynxt=immn/12
         end if
         immn=immt+intm
         immn=modulo(immn,12)
         iyyn=iyyt+iyynxt
         izzn=izzt
         iddn=iddt
      else
         iznext=(izzt-24-int+1)/24
         izzn=izzt-int-iznext*24
         iddn=iddt+iznext
         if (iddn.lt.1) then
            immn=immt-1
            iddn=iddn+mm(immn)
         else
            immn=immt
          end if 
         if (immn.eq.0) then
             immn=12
             iyyn=iyyt-1
         else
             iyyn=iyyt
         end if
       end if
      INEXT(1)=iyyn
      inext(2)=immn
      inext(3)=iddn   
      inext(4)=izzn
      RETURN
      END
      FUNCTION MODULO(N,M)
      IF (N.GT.0) THEN
         MODULO=MOD(N-1,M)+1
      ELSE
         MODULO=M-MOD(-N,M)
      END IF
      RETURN
      END
